# ApplicationFramework
PTKernel
PShort

# PShort_VArrayTNodeOfFieldOfHArray1OfShortReal Class Reference

`#include <PShort_VArrayTNodeOfFieldOfHArray1OfShortReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PShort_VArrayTNodeOfFieldOfHArray1OfShortReal ()
| PShort_VArrayTNodeOfFieldOfHArray1OfShortReal (const Standard_ShortReal &aValue)
void | SetValue (const Standard_ShortReal &aValue)
Standard_Address | Value () const

## Private Attributes

Standard_ShortReal | myValue

## Constructor & Destructor Documentation

PShort_VArrayTNodeOfFieldOfHArray1OfShortReal::PShort_VArrayTNodeOfFieldOfHArray1OfShortReal | ( |  | ) |

PShort_VArrayTNodeOfFieldOfHArray1OfShortReal::PShort_VArrayTNodeOfFieldOfHArray1OfShortReal | ( | const Standard_ShortReal & | aValue | ) |

## Member Function Documentation

void PShort_VArrayTNodeOfFieldOfHArray1OfShortReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PShort_VArrayTNodeOfFieldOfHArray1OfShortReal::operator new | ( | size_t | size | ) | `[inline]`

void* PShort_VArrayTNodeOfFieldOfHArray1OfShortReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PShort_VArrayTNodeOfFieldOfHArray1OfShortReal::SetValue | ( | const Standard_ShortReal & | aValue | ) |

Standard_Address PShort_VArrayTNodeOfFieldOfHArray1OfShortReal::Value | ( |  | ) | const

## Field Documentation

Standard_ShortReal PShort_VArrayTNodeOfFieldOfHArray1OfShortReal::myValue `[private]`

The documentation for this class was generated from the following file:

- PShort_VArrayTNodeOfFieldOfHArray1OfShortReal.hxx